package analyzers;

import java.io.IOException;
import java.io.StringReader;
import java.util.ArrayList;
import java.util.List;

import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.tokenattributes.TermAttribute;

public class TermFactory {

    public static String[] returnTerms(Analyzer analyzer, String text) throws IOException {
        TokenStream stream = analyzer.tokenStream("contents", new StringReader(text));
        TermAttribute term = (TermAttribute) stream.addAttribute(TermAttribute.class);
        List<String> terms = new ArrayList<String>();
        while (stream.incrementToken()) {
            System.out.print("[" + term.term() + "] ");
            terms.add(term.term());
        }
        return terms.toArray(new String[0]);
    }
}
